- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization Scopes
- IAM Permissions
Returns the specified guest attributes entry.
HTTP request
GET https://www.googleapis.com/compute/beta/projects/{project}/zones/{zone}/instances/{resourceId}/getGuestAttributes
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
zone |
The name of the zone for this request. |
resourceId |
Name of the instance scoping this request. |
Query parameters
| Parameters | |
|---|---|
variableKey |
Specifies the key for the guest attributes entry. |
queryPath |
Specifies the guest attributes path to be queried. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation | |
|---|---|
{ "variableKey": string, "variableValue": string, "queryPath": string, "queryValue": { "items": [ { "namespace": string, "key": string, "value": string } ] }, "selfLink": string, "kind": string } |
|
| Fields | |
|---|---|
variableKey |
The key to search for. |
variableValue |
[Output Only] The value found for the requested key. |
queryPath |
The path to be queried. This can be the default namespace ('/') or a nested namespace ('/ |
queryValue |
[Output Only] The value of the requested queried path. |
queryValue.items[] |
|
queryValue.items[].namespace |
Namespace for the guest attribute entry. |
queryValue.items[].key |
Key for the guest attribute entry. |
queryValue.items[].value |
Value for the guest attribute entry. |
selfLink |
[Output Only] Server-defined URL for this resource. |
kind |
[Output Only] Type of the resource. Always |
Authorization Scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following Google IAM permissions:
compute.instances.getGuestAttributes
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.


